Loading...
Searching...
No Matches
Magick::DrawableSkewY Class Reference
Inheritance diagram for Magick::DrawableSkewY:

## Public Member Functions

| DrawableSkewY (double angle_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | angle (double angle_)
double | angle (void) const

## Private Attributes

double | _angle

## Detailed Description

Definition at line 1688 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableSkewY()

Magick::DrawableSkewY::DrawableSkewY | ( | double | angle_ | ) |

inline

Definition at line 1691 of file Drawable.h.

: _angle(angle_)
{ }

## ~DrawableSkewY()

Magick::DrawableSkewY::~DrawableSkewY | ( | void |  | ) |

Definition at line 1149 of file Drawable.cpp.

{
}

## Member Function Documentation

## angle() [1/2]

void Magick::DrawableSkewY::angle | ( | double | angle_ | ) |

inline

Definition at line 1703 of file Drawable.h.

{
_angle = angle_;
}

## angle() [2/2]

double Magick::DrawableSkewY::angle | ( | void |  | ) | const

inline

Definition at line 1707 of file Drawable.h.

{
return _angle;
}

## copy()

Magick::DrawableBase * Magick::DrawableSkewY::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1156 of file Drawable.cpp.

{
return new DrawableSkewY(*this);
}

## operator()()

void Magick::DrawableSkewY::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1152 of file Drawable.cpp.

{
DrawSkewY( context_, _angle );
}

## Field Documentation

## _angle

double Magick::DrawableSkewY::_angle

private

Definition at line 1713 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp